Autore Topic: Warning: Invalid argument supplied for foreach() in /home/rftiqbsh/public_html/t  (Letto 2154 volte)

Offline Valter1953

  • Esploratore
  • **
  • Post: 50
    • Mostra profilo
Ho installato l'ultima versione di Joomla ma al posto dei banner mi visualizza questi errori


Warning[/size]: Invalid argument supplied for foreach() in[/color][/size]/home/rftiqbsh/public_html/trentinoescursioni.org/components/com_banners/models/banners.php[/color][/size]on line [/color][/size]187[/color][/size]Warning: Invalid argument supplied for foreach() in/home/rftiqbsh/public_html/trentinoescursioni.org/components/com_banners/models/banners.phpon line 210

Warning: Invalid argument supplied for foreach() in/home/rftiqbsh/public_html/trentinoescursioni.org/modules/mod_banners/tmpl/default.phpon line 20
[/color]

Offline alexred

  • Fuori controllo
  • *
  • Post: 25672
  • Sesso: Maschio
  • Esperto in ozio relaxed
    • Mostra profilo
ciao Valter1953,
che versione di PHP c' sul server che ospita il tuo sito?

Offline Valter1953

  • Esploratore
  • **
  • Post: 50
    • Mostra profilo
La versione questa


Server versione: 5.5.32-CLL - MySQL Community Server (GPL)

Offline alexred

  • Fuori controllo
  • *
  • Post: 25672
  • Sesso: Maschio
  • Esperto in ozio relaxed
    • Mostra profilo
ma quella la versione di PHP o quella di MySQL?
Se hai PHP 5.5 allora forse pu essere un problema, meglio la 5.3 o meglio ancora la 5.4

In amministrazione di Joomla, vai dal primo menu "Sistema"-->Informazioni di sistema
e fra le informazioni trovi la versione di PHP

Offline Valter1953

  • Esploratore
  • **
  • Post: 50
    • Mostra profilo
Ecco i dati



PHP attivo su    Linux voda3.vodahost3.com 2.6.18-448.16.1.el5.lve0.8.70 #1 SMP Wed Sep 4 19:35:44 EEST 2013 x86_64
Versione database    5.5.32-cll
Collation database    utf8_general_ci
Versione PHP    5.3.24
Web Server    LiteSpeed
WebServer interfaccia PHP    litespeed
Versione di Joomla!    Joomla! 3.2.0 Stable [ Ember ] 6-November-2013 14:00 GMT
Versione piattaforma Joomla!    Joomla Platform 13.1.0 Stable [ Curiosity ] 24-Apr-2013 00:00 GMT
User Agent    Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/30.0.1599.101 Safari/537.36
« Ultima modifica: 13 Nov 2013, 12:01:43 da Valter1953 »

Offline alexred

  • Fuori controllo
  • *
  • Post: 25672
  • Sesso: Maschio
  • Esperto in ozio relaxed
    • Mostra profilo
la versione di PHP quindi non sembra un problema.
Io ho provato ad attivare un banner sulla versione 3.2.0 e non ho ricevuto errori. Hai provato sul template di default di Joomla o su un differente template?

Offline Valter1953

  • Esploratore
  • **
  • Post: 50
    • Mostra profilo
Si ho provato tutti i template ... l'esito lo stesso per tutti. Ora ho installato  TCVN Banner Slider Module e con questa estensione i banner si visualizzano bene. Tra l'altro ho un'altro sito su cui sempre installata la versione 3.2 di Joomla e li funziona tutto normalmente.

 

Host

Torna su